# Copyright (C) 2020-2024 Soleta Networks <opengnsys@soleta.eu>
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU Affero General Public License as published by the
# Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.

import argparse

class OgCenter():
    @staticmethod
    def add_center(rest, args):
        parser = argparse.ArgumentParser(prog='ogcli add center')
        parser.add_argument('--name',
                            nargs='?',
                            required=True,
                            help='Name of the center')
        parser.add_argument('--desc',
                            nargs='?',
                            required=False,
                            help='(Optional) Provide a more detailed description of the center')
        parsed_args = parser.parse_args(args)
        payload = {'name': parsed_args.name}
        if parsed_args.desc:
            payload['comment'] = parsed_args.desc
        rest.post('/center/add', payload=payload)

    @staticmethod
    def delete_center(rest, args):
        parser = argparse.ArgumentParser(prog='ogcli delete center')
        parser.add_argument('--id',
                            nargs='?',
                            required=True,
                            help='center id in database')
        parsed_args = parser.parse_args(args)
        payload = {'id': parsed_args.id}
        rest.post('/center/delete', payload=payload)
